### Enumeration

# Gimp MetadataLoadFlags

unstable since: 3.0

#### Declaration

    flags Gimp.MetadataLoadFlags

#### Description [src]

What metadata to load when importing images.

Available since: 3.0

#### Members

`GIMP_METADATA_LOAD_NONE`

  Do not load the metadata.

  - Value: `0`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_LOAD_COMMENT`

  Load the comment.

  - Value: `1`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_LOAD_RESOLUTION`

  Load the resolution.

  - Value: `2`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_LOAD_ORIENTATION`

  Load the orientation (rotation)

  - Value: `4`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_LOAD_COLORSPACE`

  Load the colorspace.

  - Value: `8`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_METADATA_LOAD_ALL`

  Load all of the above.

  - Value: `4294967295`
  - Nickname: `None`
  - Available since: 3.0